pydo.nfs.list()

Generated on 3 Aug 2026 from pydo version v0.40.0

Usage

client.nfs.list(region=None)
Returns JSONRaises HttpResponseError

Description

To list NFS shares, send a GET request to /v2/nfs?region=${region}.

A successful request will return all NFS shares belonging to the authenticated user.

Parameters

region string optional

The DigitalOcean region slug (e.g., nyc2, atl1) where the NFS share resides.

Response Example

Show Response Example
{
  "shares": [
    {
      "id": "0a1b2c3d-4e5f-6a7b-8c9d-0e1f2a3b4c5d",
      "name": "sammy-share-drive",
      "size_gib": 1024,
      "region": "atl1",
      "status": "ACTIVE",
      "created_at": "2023-01-01T00:00:00Z",
      "vpc_ids": [
        "796c6fe3-2a1d-4da2-9f3e-38239827dc91"
      ],
      "performance_tier": "PERFORMANCE_TIER_HIGH",
      "mount_path": "/123456/your-nfs-share-uuid",
      "host": "10.128.32.2",
      "access_points": []
    }
  ]
}

More Information

See /v2/nfs in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.